List every party on the records of one parcel of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/properties/{id}/parties \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/properties/{id}/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/properties/{id}/parties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"property_id": "d6b1cb7e5cc5b24f16cecac9618394c0",
"parties": [
{
"kind": "org",
"id": "AZ:L17142520",
"name": null,
"from_registry": true,
"company_like": false,
"roles": [
"holder",
"buyer"
],
"first_on": "2018-01-05",
"last_on": "2018-01-05",
"n_records": 2
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "2018-01-05",
"last_on": "2018-01-05",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:01299862",
"name": null,
"from_registry": true,
"company_like": false,
"roles": [
"seller"
],
"first_on": "2013-01-30",
"last_on": "2013-01-30",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:L07910750",
"name": "M & M CONTRACTORS LLC",
"from_registry": true,
"company_like": true,
"roles": [
"buyer"
],
"first_on": "2013-01-30",
"last_on": "2013-01-30",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "2013-01-30",
"last_on": "2013-01-30",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"buyer"
],
"first_on": "2005-08-04",
"last_on": "2005-08-04",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"buyer",
"seller"
],
"first_on": "1997-12-18",
"last_on": "2005-08-04",
"n_records": 2
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "1997-12-18",
"last_on": "1997-12-18",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:name:SQUIRE LIVING",
"name": "THE SQUIRE LIVING TRUST",
"from_registry": false,
"company_like": true,
"roles": [
"seller"
],
"first_on": "1997-12-18",
"last_on": "1997-12-18",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:L07733531",
"name": null,
"from_registry": true,
"company_like": false,
"roles": [
"buyer"
],
"first_on": "1995-02-15",
"last_on": "1995-02-15",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "1995-02-15",
"last_on": "1995-02-15",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "1995-02-15",
"last_on": "1995-02-15",
"n_records": 1
}
],
"parties_capped": false
},
"meta": {
"generated_at": "2026-10-15T19:44:49.231Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-15T18:59:20.286Z",
"published_at": "2026-10-15T19:28:13.185Z",
"run_id": 1792092460,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}The lean set (/v3)
List every party on the records of one parcel of the lean set
The holder, the buyers and the sellers, the lenders and the borrowers, the agents, the wholesaler and the closing buyer of one parcel.
GET
/
v3
/
properties
/
{id}
/
parties
List every party on the records of one parcel of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/properties/{id}/parties \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/properties/{id}/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/properties/{id}/parties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"property_id": "d6b1cb7e5cc5b24f16cecac9618394c0",
"parties": [
{
"kind": "org",
"id": "AZ:L17142520",
"name": null,
"from_registry": true,
"company_like": false,
"roles": [
"holder",
"buyer"
],
"first_on": "2018-01-05",
"last_on": "2018-01-05",
"n_records": 2
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "2018-01-05",
"last_on": "2018-01-05",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:01299862",
"name": null,
"from_registry": true,
"company_like": false,
"roles": [
"seller"
],
"first_on": "2013-01-30",
"last_on": "2013-01-30",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:L07910750",
"name": "M & M CONTRACTORS LLC",
"from_registry": true,
"company_like": true,
"roles": [
"buyer"
],
"first_on": "2013-01-30",
"last_on": "2013-01-30",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "2013-01-30",
"last_on": "2013-01-30",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"buyer"
],
"first_on": "2005-08-04",
"last_on": "2005-08-04",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"buyer",
"seller"
],
"first_on": "1997-12-18",
"last_on": "2005-08-04",
"n_records": 2
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "1997-12-18",
"last_on": "1997-12-18",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:name:SQUIRE LIVING",
"name": "THE SQUIRE LIVING TRUST",
"from_registry": false,
"company_like": true,
"roles": [
"seller"
],
"first_on": "1997-12-18",
"last_on": "1997-12-18",
"n_records": 1
},
{
"kind": "org",
"id": "AZ:L07733531",
"name": null,
"from_registry": true,
"company_like": false,
"roles": [
"buyer"
],
"first_on": "1995-02-15",
"last_on": "1995-02-15",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "1995-02-15",
"last_on": "1995-02-15",
"n_records": 1
},
{
"kind": "org",
"id": null,
"name": null,
"from_registry": false,
"company_like": false,
"roles": [
"seller"
],
"first_on": "1995-02-15",
"last_on": "1995-02-15",
"n_records": 1
}
],
"parties_capped": false
},
"meta": {
"generated_at": "2026-10-15T19:44:49.231Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-15T18:59:20.286Z",
"published_at": "2026-10-15T19:28:13.185Z",
"run_id": 1792092460,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}This route serves the lean set under
/v3/properties/{id}/parties. See The lean dataset for the tier rules. Each party has its roles, its first and last date and its record count. The list holds 100 parties at most.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key.
Path Parameters
The parcel id, as a deal, a listing or a resolve carries it.
Response
The parties of the parcel.
Was this page helpful?